searchData={"items":[{"type":"module","title":"Cldr.HTML","doc":"Implements `Phoenix.HTML.Form.select/4` specifically\nfor localized display of [Cldr](https://hex.pm/packages/ex_cldr)-based data.","ref":"Cldr.HTML.html"},{"type":"function","title":"Cldr.HTML.currency_options/1","doc":"","ref":"Cldr.HTML.html#currency_options/1"},{"type":"function","title":"Cldr.HTML.currency_select/3","doc":"","ref":"Cldr.HTML.html#currency_select/3"},{"type":"function","title":"Cldr.HTML.locale_options/1","doc":"","ref":"Cldr.HTML.html#locale_options/1"},{"type":"function","title":"Cldr.HTML.locale_select/3","doc":"","ref":"Cldr.HTML.html#locale_select/3"},{"type":"function","title":"Cldr.HTML.territory_options/1","doc":"","ref":"Cldr.HTML.html#territory_options/1"},{"type":"function","title":"Cldr.HTML.territory_select/3","doc":"","ref":"Cldr.HTML.html#territory_select/3"},{"type":"function","title":"Cldr.HTML.unit_options/1","doc":"","ref":"Cldr.HTML.html#unit_options/1"},{"type":"function","title":"Cldr.HTML.unit_select/3","doc":"","ref":"Cldr.HTML.html#unit_select/3"},{"type":"module","title":"Cldr.HTML.Currency","doc":"Implements `Phoenix.HTML.Form.select/4` specifically for\nlocalised currency display.","ref":"Cldr.HTML.Currency.html"},{"type":"function","title":"Cldr.HTML.Currency.currency_options/1","doc":"Generate a list of options for a currency list\nthat can be used with `Phoenix.HTML.Form.select/4`,\n`Phoenix.HTML.Form.options_for_select/2` or\nto create a  .","ref":"Cldr.HTML.Currency.html#currency_options/1"},{"type":"function","title":"Arguments - Cldr.HTML.Currency.currency_options/1","doc":"* A `Keyword.t()` list of options.","ref":"Cldr.HTML.Currency.html#currency_options/1-arguments"},{"type":"function","title":"Options - Cldr.HTML.Currency.currency_options/1","doc":"See `Cldr.HTML.Currency.select/3` for options.","ref":"Cldr.HTML.Currency.html#currency_options/1-options"},{"type":"function","title":"Cldr.HTML.Currency.select/3","doc":"Generate an HTML select tag for a currency list\nthat can be used with a `Phoenix.HTML.Form.t`.","ref":"Cldr.HTML.Currency.html#select/3"},{"type":"function","title":"Arguments - Cldr.HTML.Currency.select/3","doc":"* A `Phoenix.HTML.Form.t()` form\n\n* A `Phoenix.HTML.Form.field()` field\n\n* A `Keyword.t()` list of options","ref":"Cldr.HTML.Currency.html#select/3-arguments"},{"type":"function","title":"Options - Cldr.HTML.Currency.select/3","doc":"For select options see `Phoenix.HTML.Form.select/4`\n\n* `:currencies` defines the list of currencies to be\n  displayed in the the `select` tag.  The list defaults to\n  the currencies returned by `Money.known_tender_currencies/0`\n  if the package [ex_money](https://hex.pm/packages/ex_money)\n  is installed otherwise it is the list returned by\n  `Cldr.known_currencies/0`\n\n* `:locale` defines the locale to be used to localise the\n  description of the currencies.  The default is the locale\n  returned by `Cldr.get_locale/1`\n\n* `:backend` is any backend module. The default is\n  `Cldr.default_backend!/0`\n\n* `:collator` is a function used to sort the currencies\n  in the selection list. It is passed a list of maps where\n  each map represents a `t:Cldr.Currency`. The default collator\n  sorts by `name_1   \" - \"   &1.name, &1.code})`\n\n* `:selected` identifies the currency that is to be selected\n  by default in the `select` tag.  The default is `nil`. This\n  is passed unmodified to `Phoenix.HTML.Form.select/4`\n\n* `:prompt` is a prompt displayed at the top of the select\n   box. This is passed unmodified to `Phoenix.HTML.Form.select/4`\n\n# Examples\n\n     => Cldr.HTML.Currency.select(:my_form, :currency, selected: :USD)\n     => Cldr.HTML.Currency.select(:my_form, :currency, currencies: [\"USD\", \"EUR\", :JPY], mapper: &({&1.name, &1.code}))","ref":"Cldr.HTML.Currency.html#select/3-options"},{"type":"type","title":"Cldr.HTML.Currency.select_options/0","doc":"","ref":"Cldr.HTML.Currency.html#t:select_options/0"},{"type":"module","title":"Cldr.HTML.Locale","doc":"Implements `Phoenix.HTML.Form.select/4` specifically for\nlocalised locale display.","ref":"Cldr.HTML.Locale.html"},{"type":"function","title":"Cldr.HTML.Locale.locale_options/1","doc":"Generate a list of options for a locale list\nthat can be used with `Phoenix.HTML.Form.select/4`,\n`Phoenix.HTML.Form.options_for_select/2` or\nto create a  .","ref":"Cldr.HTML.Locale.html#locale_options/1"},{"type":"function","title":"Arguments - Cldr.HTML.Locale.locale_options/1","doc":"* A `Keyword.t()` list of options.","ref":"Cldr.HTML.Locale.html#locale_options/1-arguments"},{"type":"function","title":"Options - Cldr.HTML.Locale.locale_options/1","doc":"See `Cldr.HTML.Locale.select/3` for options.","ref":"Cldr.HTML.Locale.html#locale_options/1-options"},{"type":"function","title":"Cldr.HTML.Locale.select/3","doc":"Generate an HTML select tag for a locale list\nthat can be used with a `Phoenix.HTML.Form.t`.","ref":"Cldr.HTML.Locale.html#select/3"},{"type":"function","title":"Arguments - Cldr.HTML.Locale.select/3","doc":"* A `Phoenix.HTML.Form.t()` form\n\n* A `Phoenix.HTML.Form.field()` field\n\n* A `Keyword.t()` list of options","ref":"Cldr.HTML.Locale.html#select/3-arguments"},{"type":"function","title":"Options - Cldr.HTML.Locale.select/3","doc":"For select options see `Phoenix.HTML.Form.select/4`\n\n* `:locales` defines the list of locales to be\n  displayed in the the `select` tag.  The list defaults to\n  `Cldr.known_locale_names/0`. If `:backend` is specified\n  then the list of locales known to that backend\n  is returned. If no `:backend` is specified the\n  locales known to `Cldr.default_backend!/0` is\n  returned.\n\n* `:locale` defines the locale to be used to localise the\n  description of the list of locales.  The default is the locale\n  returned by `Cldr.get_locale/1` If set to `:identity` then\n  each locale in the `:locales` list will be rendered in its\n  own locale.\n\n* `:backend` is any backend module. The default is\n  `Cldr.default_backend!/0`\n\n* `:collator` is a function used to sort the locales\n  in the selection list. It is passed a list of maps where\n  each map represents a locale. The default collator\n  sorts by `locale_1.display_name < locale_2.display_name`.\n  As a result, default collation sorts by code point\n  which will not return expected results\n  for scripts other than Latin.\n\n* `:mapper` is a function that creates the text to be\n  displayed in the select tag for each locale.  It is\n  passed a map with three fields: `:display_name`, `:locale`\n  and `:language_tag`. The default mapper is\n  `&{&1.display_name, &1.locale}`. See `t:locale`.\n\n* `:selected` identifies the locale that is to be selected\n  by default in the `select` tag.  The default is `nil`. This\n  is passed to `Phoenix.HTML.Form.select/4`\n\n* `:prompt` is a prompt displayed at the top of the select\n   box. This is passed unmodified to `Phoenix.HTML.Form.select/4`","ref":"Cldr.HTML.Locale.html#select/3-options"},{"type":"function","title":"Notes - Cldr.HTML.Locale.select/3","doc":"If `:locale` is set to `:identity` then each locale in\n`:locales` will be used to render its own display name. In\nthis case each locale in `:locales` must also be configured\nin the `:backend` or an error will be returned.","ref":"Cldr.HTML.Locale.html#select/3-notes"},{"type":"function","title":"Examples - Cldr.HTML.Locale.select/3","doc":"Cldr.HTML.Currency.select(:my_form, :locale_list, selected: \"en\")\n\n     Cldr.HTML.Currency.select(:my_form, :locale_list,\n       locales: [\"zh-Hant\", \"ar\", \"fr\"],\n       mapper: &({&1.display_name, &1.locale}))","ref":"Cldr.HTML.Locale.html#select/3-examples"},{"type":"type","title":"Cldr.HTML.Locale.locale/0","doc":"","ref":"Cldr.HTML.Locale.html#t:locale/0"},{"type":"type","title":"Cldr.HTML.Locale.mapper/0","doc":"","ref":"Cldr.HTML.Locale.html#t:mapper/0"},{"type":"type","title":"Cldr.HTML.Locale.select_options/0","doc":"","ref":"Cldr.HTML.Locale.html#t:select_options/0"},{"type":"module","title":"Cldr.HTML.Territory","doc":"Implements `Phoenix.HTML.Form.select/4` specifically for\nlocalised territory display.","ref":"Cldr.HTML.Territory.html"},{"type":"function","title":"Cldr.HTML.Territory.select/3","doc":"Generate an HTML select tag for a territory list\nthat can be used with a `Phoenix.HTML.Form.t`.","ref":"Cldr.HTML.Territory.html#select/3"},{"type":"function","title":"Arguments - Cldr.HTML.Territory.select/3","doc":"* A `Phoenix.HTML.Form.t()` form\n\n* A `Phoenix.HTML.Form.field()` field\n\n* A `Keyword.t()` list of options","ref":"Cldr.HTML.Territory.html#select/3-arguments"},{"type":"function","title":"Options - Cldr.HTML.Territory.select/3","doc":"For select options see `Phoenix.HTML.Form.select/4`\n\n* `:territories` defines the list of territories to be\n  displayed in the the `select` tag.  The list defaults to\n  the territories returned by `Cldr.Territory.country_codes/0`.\n\n* `:style` is the format of the territory name to be used.\n  The options are `:standard` (the default), `:short` and `:variant`.\n  Not all territories have `:short` or `:variant` names in which\n  case `:standard` is used for those territories.\n\n* `:locale` defines the locale to be used to localise the\n  description of the territories.  The default is the locale\n  returned by `Cldr.get_locale/1`\n\n* `:backend` is any backend module. The default is\n  `Cldr.default_backend!/0`\n\n* `:collator` is a function used to sort the territories\n  in the selection list. It is passed a list of maps where\n  each map represents a territory and has the keys `:territory`,\n  `:name` and `:flag`. See `t:territory`. The default collator\n  sorts by `name_1   \" \"   &1.name, &1.territory_code})`\n\n* `:selected` identifies the territory that is to be selected\n  by default in the `select` tag.  The default is `nil`. This\n  is passed unmodified to `Phoenix.HTML.Form.select/4`\n\n* `:prompt` is a prompt displayed at the top of the select\n   box. This is passed unmodified to `Phoenix.HTML.Form.select/4`\n\n# Examples\n\n     Cldr.HTML.Territory.select(:my_form, :territory, selected: :AU)\n\n     Cldr.HTML.Territory.select(:my_form, :territory, selected: :AU, locale: \"ar\")\n\n     Cldr.HTML.Territory.select(:my_form, :territory, territories: [:US, :AU, :JP],\n          mapper: &({&1.name, &1.territory_code}))","ref":"Cldr.HTML.Territory.html#select/3-options"},{"type":"function","title":"Cldr.HTML.Territory.territory_options/1","doc":"Generate a list of options for a territory list\nthat can be used with `Phoenix.HTML.Form.select/4`,\n`Phoenix.HTML.Form.options_for_select/2` or\nto create a  .","ref":"Cldr.HTML.Territory.html#territory_options/1"},{"type":"function","title":"Arguments - Cldr.HTML.Territory.territory_options/1","doc":"* A `Keyword.t()` list of options.","ref":"Cldr.HTML.Territory.html#territory_options/1-arguments"},{"type":"function","title":"Options - Cldr.HTML.Territory.territory_options/1","doc":"See `Cldr.HTML.Territory.select/3` for options.","ref":"Cldr.HTML.Territory.html#territory_options/1-options"},{"type":"type","title":"Cldr.HTML.Territory.select_options/0","doc":"","ref":"Cldr.HTML.Territory.html#t:select_options/0"},{"type":"type","title":"Cldr.HTML.Territory.territory/0","doc":"Territory type passed to a collator for ordering in the select box.\n\nThe default collator orders by `:name` using Elixir standard\ncomparison which is by codepoint and is therefore not Unicode\naware.","ref":"Cldr.HTML.Territory.html#t:territory/0"},{"type":"module","title":"Cldr.HTML.Unit","doc":"Implements `Phoenix.HTML.Form.select/4` specifically for\nlocalised unit display.","ref":"Cldr.HTML.Unit.html"},{"type":"function","title":"Cldr.HTML.Unit.select/3","doc":"Generate an HTML select tag for a unit list\nthat can be used with a `Phoenix.HTML.Form.t`.","ref":"Cldr.HTML.Unit.html#select/3"},{"type":"function","title":"Arguments - Cldr.HTML.Unit.select/3","doc":"* A `t:Phoenix.HTML.Form` form\n\n* A `t:Phoenix.HTML.Form.field` field\n\n* A `t:Keyword` list of options","ref":"Cldr.HTML.Unit.html#select/3-arguments"},{"type":"function","title":"Options - Cldr.HTML.Unit.select/3","doc":"For select options see `Phoenix.HTML.Form.select/4`\n\n* `:units` is a list of units to be displayed in the\n  select. See `Cldr.Unit.known_units/0` and\n  `Cldr.Unit.known_units_for_category/1`\n\n* `:style` is the style of unit name to be displayed and\n  must be one of the styles returned by `Cldr.Unit.known_styles/0`.\n  The current styles are :long, :short and :narrow.\n  The default is style: :long.\n\n* `:locale` defines the locale to be used to localise the\n  description of the units.  The default is the locale\n  returned by `Cldr.get_locale/0`\n\n* `:backend` is any backend module. The default is\n  `Cldr.default_backend!/0`\n\n* `:collator` is a function used to sort the units\n  in the selection list. It is passed a list of tuples where\n  each tuple is in the form `{unit_display_name, unit}`.\n  The default collator sorts by `name_1 < name_2`.\n  As a result, default collation sorts by code point which\n  will not return expected results for scripts other than Latin.\n\n* `:mapper` is a function that creates the text to be\n  displayed in the select tag for each unit.  It is\n  passed the a tuple of the form `{unit_display_name, unit}`,\n  The default is the identity function `&(&1)`.\n\n* `:selected` identifies the unit that is to be selected\n  by default in the `select` tag.  The default is `nil`. This\n  is passed unmodified to `Phoenix.HTML.Form.select/4`\n\n* `:prompt` is a prompt displayed at the top of the select\n   box. This is passed unmodified to `Phoenix.HTML.Form.select/4`\n\n# Examples\n\n     => Cldr.HTML.Unit.select(:my_form, :unit, selected: :foot)\n     => Cldr.HTML.Unit.select(:my_form, :unit, units: [:foot, :inch])","ref":"Cldr.HTML.Unit.html#select/3-options"},{"type":"function","title":"Cldr.HTML.Unit.unit_options/1","doc":"Generate a list of options for a unit list\nthat can be used with `Phoenix.HTML.Form.select/4`,\n`Phoenix.HTML.Form.options_for_select/2` or\nto create a  .","ref":"Cldr.HTML.Unit.html#unit_options/1"},{"type":"function","title":"Arguments - Cldr.HTML.Unit.unit_options/1","doc":"* A `Keyword.t()` list of options,","ref":"Cldr.HTML.Unit.html#unit_options/1-arguments"},{"type":"function","title":"Options - Cldr.HTML.Unit.unit_options/1","doc":"See `Cldr.HTML.Unit.select/3` for options.","ref":"Cldr.HTML.Unit.html#unit_options/1-options"},{"type":"type","title":"Cldr.HTML.Unit.select_options/0","doc":"","ref":"Cldr.HTML.Unit.html#t:select_options/0"},{"type":"extras","title":"Cldr HTML","doc":"# Cldr HTML\n\n`Phoenix.HTML.Form.select/4` helper functions for CLDR. The functions in this library produce localised selection tags for HTML forms for:\n\n* Currencies\n* Units\n* Territories\n* Locales","ref":"readme.html"},{"type":"extras","title":"Usage - Cldr HTML","doc":"* `Cldr.HTML.Currency.select/3`. By default the currencies of the locales configured in the default backend. See also the documentation for [ex_cldr_currencies](https://hexdocs.pm/ex_cldr_currencies).\n\n* `Cldr.HTML.Unit.select/3`. By default the units returned by `Cldr.Unit.known_units/0`. See also the documentation for [ex_cldr_units](https://hexdocs.pm/ex_cldr_units).\n\n* `Cldr.HTML.Territory.select/3`. By default the territories returned by `Cldr.known_territories/0`. See also the documentation for [ex_cldr_territories](https://hexdocs.pm/ex_cldr_territories)\n\n* `Cldr.HTML.Locale.select/3`. By default the list of locales known to `Cldr.default_backend!/0`. See also the documentation for [ex_cldr_locale_display](https://hexdocs.pm/ex_cldr_locale_display).\n\n* [Not Yet Implemented] Select days of the week and months of the year in a given locale.","ref":"readme.html#usage"},{"type":"extras","title":"Currency selection - Cldr HTML","doc":"```elixir\niex> Cldr.HTML.Currency.select(:my_form, :currency, selected: :USD, currencies: ~w(usd eur jpy cop)) |> Phoenix.HTML.safe_to_string()\n```\nProduces, when formatted:\n```html\n \n\t COP - Colombian Peso \n\t EUR - Euro \n\t JPY - Japanese Yen \n\t USD - US Dollar \n \n```","ref":"readme.html#currency-selection"},{"type":"extras","title":"Unit selection - Cldr HTML","doc":"```elixir\niex> Cldr.HTML.Unit.select(:my_form, :units) |> Phoenix.HTML.safe_to_string()\n```\nProduces, when formatted:\n```html\n \n\t acres \n\t acre-feet \n\t amperes \n\t arcminutes \n\t arcseconds \n\t astronomical units \n\t atmospheres \n\t bars \n\t barrels \n\t bits \n\t British thermal units \n\t bushels \n\t bytes \n\t calories \n\t candela \n\t carats \n\t degrees Celsius \n    ....\n \n```","ref":"readme.html#unit-selection"},{"type":"extras","title":"Territory selection - Cldr HTML","doc":"```elixir\niex> Cldr.HTML.Territory.select(:my_form, :territory, territories: [:US, :AU, :JP]) |> Phoenix.HTML.safe_to_string()\n```\nProduces, when formatted:\n```html\n \n\t 🇦🇺 Australia \n\t 🇯🇵 Japan \n\t 🇺🇸 United States \n \n```","ref":"readme.html#territory-selection"},{"type":"extras","title":"Locale selection - Cldr HTML","doc":"```elixir\n# Select from the locales configured in `Cldr.default_backend/0` and localize them\n# using the locale `Cldr.default_locale/0`\niex> Cldr.HTML.Locale.select(:my_form, :locales) |> Phoenix.HTML.safe_to_string()\n```\nProduces, when formatted:\n```html\n \n\t Arabic \n\t Chinese (Simplified) \n\t Chinese (Traditional) \n\t English \n\t Hebrew \n\t Thai \n \n```\n\n```elixir\n# Select from the locales configured in `Cldr.default_backend/0` and localize them\n# using their own locale`\niex> Cldr.HTML.Locale.select(:my_form, :locales, locale: :identity) |> Phoenix.HTML.safe_to_string()\n```\nProduces, when formatted:\n```html\n \n\t English \n\t עברית \n\t العربية \n\t ไทย \n\t 简体中文 \n\t 繁體中文 \n \n```","ref":"readme.html#locale-selection"},{"type":"extras","title":"Installation - Cldr HTML","doc":"`Cldr.HTML` can be installed by adding `cldr_html` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:cldr_html, \"~> 0.6\"}\n  ]\nend\n```\nThe documentation can be found at [https://hexdocs.pm/cldr_html](https://hexdocs.pm/cldr_html).","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - Cldr HTML","doc":"The available functions depends on the configured dependencies in `mix.exs`:\n\nFor `Cldr.HTML.Currency.select/3`:\n\n    {:ex_cldr_currencies, \"~> 2.11\"},\n\nFor `Cldr.HTML.Unit.select/3`:\n\n    {:ex_cldr_units, \"~> 3.7\"},\n\nFor `Cldr.HTML.Locale.select/3`:\n\n    {:ex_cldr_locale_display, \"~> 1.0\"},\n\nFor `Cldr.HTML.Territory.select/3`:\n\n    {:ex_cldr_territories, \"~> 2.2\"},","ref":"readme.html#configuration"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"Cldr_HTML v1.5.2 - Changelog","doc":"This is the changelog for Cldr HTML v1.5.2 released on August 11th, 2023.  For older changelogs please consult the release tag on [GitHub](https://github.com/elixir-cldr/cldr_html/tags)\n\n#","ref":"changelog.html#cldr_html-v1-5-2"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* Add `ex_cldr_territories` as optional dependency - as it should always have been. Thanks to @cw789 for the report and great patience. Closes #17. Again.","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Cldr_HTML v1.5.1 - Changelog","doc":"This is the changelog for Cldr HTML v1.5.1 released on August 10th, 2023.  For older changelogs please consult the release tag on [GitHub](https://github.com/elixir-cldr/cldr_html/tags)\n\n#","ref":"changelog.html#cldr_html-v1-5-1"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* Fixes compile time module checking on Elixir 1.15 and OTP 25 or later. Thanks to @cw789 for the report. Closes #17.","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Cldr_HTML v1.5.0 - Changelog","doc":"This is the changelog for Cldr HTML v1.5.0 released on April 28th, 2023.  For older changelogs please consult the release tag on [GitHub](https://github.com/elixir-cldr/cldr_html/tags)\n\n#","ref":"changelog.html#cldr_html-v1-5-0"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* Fix omitting `:und` locale from the locale selection list\n\n#","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Enhancements - Changelog","doc":"* Updates to [ex_cldr version 2.37.0](https://hex.pm/packages/ex_cldr/2.37.0) which includes data from [CLDR release 43](https://cldr.unicode.org/index/downloads/cldr-43)","ref":"changelog.html#enhancements"},{"type":"extras","title":"Cldr_HTML v1.4.2 - Changelog","doc":"This is the changelog for Cldr HTML v1.4.2 released on October 17th, 2022.  For older changelogs please consult the release tag on [GitHub](https://github.com/elixir-cldr/cldr_html/tags)\n\n#","ref":"changelog.html#cldr_html-v1-4-2"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* Fix type spec for select options to remove dialyzer warning. Thanks to @quentin-bettoum. Closes #16.","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Cldr_HTML v1.4.1 - Changelog","doc":"This is the changelog for Cldr HTML v1.4.1 released on September 10th, 2022.  For older changelogs please consult the release tag on [GitHub](https://github.com/elixir-cldr/cldr_html/tags)\n\n#","ref":"changelog.html#cldr_html-v1-4-1"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* Adds `lang` attributes to locale selection to signal better information for accessibility. Thanks very much to @quentin-bettoum for the pull request. Closes #15.","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Cldr_HTML v1.4.0 - Changelog","doc":"This is the changelog for Cldr HTML v1.4.0 released on March 29th, 2022.  For older changelogs please consult the release tag on [GitHub](https://github.com/elixir-cldr/cldr_html/tags)\n\n#","ref":"changelog.html#cldr_html-v1-4-0"},{"type":"extras","title":"Enhancements - Changelog","doc":"* Adds `Cldr.HTML.Currency.currency_options/1`, `Cldr.HTML.Unit.unit_options/1` and `Cldr.HTML.Locale.locale_options/1` to generate a list of currency, unit and locale options that can be used in any case where a list of select options is required. Thanks to jokawachi-hg for the PR.","ref":"changelog.html#enhancements"},{"type":"extras","title":"Cldr_HTML v1.3.0 - Changelog","doc":"This is the changelog for Cldr HTML v1.3.0 released on March 25th, 2022.  For older changelogs please consult the release tag on [GitHub](https://github.com/elixir-cldr/cldr_html/tags)\n\n#","ref":"changelog.html#cldr_html-v1-3-0"},{"type":"extras","title":"Enhancements - Changelog","doc":"* Adds `Cldr.HTML.Territory.territory_options/1` to generate a list of territory options that can be used in any case where a list of territories is required (Not just in `Cldr.HTML.Territory.select/3`). Thanks to @fcarlislehg for the PR.","ref":"changelog.html#enhancements"},{"type":"extras","title":"Cldr_HTML v1.2.0 - Changelog","doc":"This is the changelog for Cldr HTML v1.2.0 released on March 2nd, 2022.  For older changelogs please consult the release tag on [GitHub](https://github.com/elixir-cldr/cldr_html/tags)\n\n#","ref":"changelog.html#cldr_html-v1-2-0"},{"type":"extras","title":"Enhancements - Changelog","doc":"* Updates to [ex_cldr version 2.26.0](https://hex.pm/packages/ex_cldr/2.26.0) which uses atoms for locale names and rbnf locale names. This is consistent with out elements of `t:Cldr.LanguageTag` where atoms are used where the cardinality of the data is fixed and relatively small and strings where the data is free format.","ref":"changelog.html#enhancements"},{"type":"extras","title":"Cldr_HTML v1.1.0 - Changelog","doc":"This is the changelog for Cldr HTML v1.1.0 released on September 25th, 2021.  For older changelogs please consult the release tag on [GitHub](https://github.com/elixir-cldr/cldr_html/tags)\n\n#","ref":"changelog.html#cldr_html-v1-1-0"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* Support `phoenix_html` version 3.0 in addition to earlier releases.","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Cldr_HTML v1.0.1 - Changelog","doc":"This is the changelog for Cldr HTML v1.0.1 released on September 2nd, 2021.  For older changelogs please consult the release tag on [GitHub](https://github.com/elixir-cldr/cldr_html/tags)\n\n#","ref":"changelog.html#cldr_html-v1-0-1"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* Use `Cldr.Territory.country_codes/0` as the default territory list. Previously `Cldr.known_territories/0` was used. However that function returns a list of valid codes, not \"known to CLDR\" codes (which also needs fixing). Thanks to @walu-lila for the report. Fixes #10.","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Cldr_HTML v1.0.0 - Changelog","doc":"This is the changelog for Cldr HTML v1.0.0 released on July 3rd, 2021.  For older changelogs please consult the release tag on [GitHub](https://github.com/elixir-cldr/cldr_html/tags)\n\n#","ref":"changelog.html#cldr_html-v1-0-0"},{"type":"extras","title":"Enhancements - Changelog","doc":"* Add `Cldr.HTML.Locale.select/3` to select locales.","ref":"changelog.html#enhancements"},{"type":"extras","title":"Cldr_HTML v0.5.0 - Changelog","doc":"This is the changelog for Cldr HTML v0.5.0 released on June 23rd, 2021.  For older changelogs please consult the release tag on [GitHub](https://github.com/elixir-cldr/cldr_html/tags)\n\n#","ref":"changelog.html#cldr_html-v0-5-0"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* Correctly sort the selection list. Thanks to @0urobor0s for the collaboration\n\n* Pass options through to `Phoenix.HTML.Form.select/4`.  Thanks to @0urobor0s for the PR.\n\n#","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Enhancements - Changelog","doc":"* Adds a `:collator` option to the `Cldr.HTML.{Unit, Territory, Currency}.select/4`. This enables a library user to implement any desired collation on the select options before rendering.","ref":"changelog.html#enhancements"},{"type":"extras","title":"Cldr_HTML v0.4.0 - Changelog","doc":"This is the changelog for Cldr HTML v0.4.0 released on June 11th, 2021.  For older changelogs please consult the release tag on [GitHub](https://github.com/elixir-cldr/cldr_html/tags)\n\n#","ref":"changelog.html#cldr_html-v0-4-0"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* Make `ex_doc` only available in `:dev` and `:release`","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Cldr_HTML v0.3.0 - Changelog","doc":"This is the changelog for Cldr HTML v0.3.0 released on May 23rd, 2021.  For older changelogs please consult the release tag on [GitHub](https://github.com/elixir-cldr/cldr_html/tags)\n\n#","ref":"changelog.html#cldr_html-v0-3-0"},{"type":"extras","title":"Enhancements - Changelog","doc":"* Add `Cldr.HTML.Territory.select/3` to select territories\n\n* Add support for `:style` option in `Cldr.HTML.Unit.select/3`","ref":"changelog.html#enhancements"},{"type":"extras","title":"Cldr_HTML v0.2.0 - Changelog","doc":"This is the changelog for Cldr HTML v0.2.0 released on February 7th, 2021.  For older changelogs please consult the release tag on [GitHub](https://github.com/elixir-cldr/cldr_html/tags)\n\n#","ref":"changelog.html#cldr_html-v0-2-0"},{"type":"extras","title":"Enhancements - Changelog","doc":"* Add `Cldr.HTML.Unit.unit_select/3`\n\n* Use `Cldr.get_locale/0` not `Cldr.default_locale/0` as default parameter","ref":"changelog.html#enhancements"},{"type":"extras","title":"Cldr_HTML v0.1.0 - Changelog","doc":"This is the changelog for Cldr HTML v0.1.0 released on November 1st, 2020.  For older changelogs please consult the release tag on [GitHub](https://github.com/elixir-cldr/cldr_html/tags)\n\n#","ref":"changelog.html#cldr_html-v0-1-0"},{"type":"extras","title":"Enhancements - Changelog","doc":"* First hex release\n\n* Support [CLDR 38](http://cldr.unicode.org/index/downloads/cldr-38)","ref":"changelog.html#enhancements"},{"type":"extras","title":"LICENSE","doc":"","ref":"license.html"},{"type":"extras","title":"License - LICENSE","doc":"Copyright 2017 Kip Cole\n\nLicensed under the Apache License, Version 2.0 (the \"License\"); you may not use this file except in\ncompliance with the License. You may obtain a copy of the License at\n\n    http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software distributed under the License\nis distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or\nimplied. See the License for the specific language governing permissions and limitations under the\nLicense.","ref":"license.html#license"}],"content_type":"text/markdown"}